Bug 538811 (rpmleaks) - SELinux is preventing /usr/sbin/named access to a leaked /tmp/.webmin/305863_1_start.cgi file descriptor.
Summary: SELinux is preventing /usr/sbin/named access to a leaked /tmp/.webmin/305863_...
Keywords:
Status: CLOSED ERRATA
Alias: rpmleaks
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:984ddb9cc06...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 13:39 UTC by galerien
Modified: 2009-12-02 04:38 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:36 UTC


Attachments (Terms of Use)

Description galerien 2009-11-19 13:39:55 UTC
Résumé:

SELinux is preventing /usr/sbin/named access to a leaked
/tmp/.webmin/305863_1_start.cgi file descriptor.

Description détaillée:

[named has a permissive type (named_t). This access was not denied.]

SELinux denied access requested by the named command. It looks like this is
either a leaked descriptor or named output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /tmp/.webmin/305863_1_start.cgi. You should generate a bugzilla on
selinux-policy, and it will get routed to the appropriate package. You can
safely ignore this avc.

Autoriser l'accès:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385)

Informations complémentaires:

Contexte source               unconfined_u:system_r:named_t:s0
Contexte cible                unconfined_u:object_r:rpm_script_tmp_t:s0
Objets du contexte            /tmp/.webmin/305863_1_start.cgi [ file ]
source                        named
Chemin de la source           /usr/sbin/named
Port                          <Inconnu>
Hôte                         (removed)
Paquetages RPM source         bind-9.6.1-11.P1.fc12
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.6.32-41.fc12
Selinux activé               True
Type de politique             targeted
MLS activé                   True
Mode strict                   Enforcing
Nom du plugin                 leaks
Nom de l'hôte                (removed)
Plateforme                    Linux (removed)
                              2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14
                              EST 2009 x86_64 x86_64
Compteur d'alertes            2
Première alerte              jeu. 19 nov. 2009 14:22:18 CET
Dernière alerte              jeu. 19 nov. 2009 14:22:18 CET
ID local                      bfea5599-fe6d-44fe-88f5-2c048925ed75
Numéros des lignes           

Messages d'audit bruts        

node=(removed) type=AVC msg=audit(1258636938.716:40287): avc:  denied  { write } for  pid=4079 comm="named" path="/tmp/.webmin/305863_1_start.cgi" dev=sdc5 ino=3907649 scontext=unconfined_u:system_r:named_t:s0 tcontext=unconfined_u:object_r:rpm_script_tmp_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1258636938.716:40287): avc:  denied  { write } for  pid=4079 comm="named" path="/tmp/.webmin/305863_1_start.cgi" dev=sdc5 ino=3907649 scontext=unconfined_u:system_r:named_t:s0 tcontext=unconfined_u:object_r:rpm_script_tmp_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258636938.716:40287): arch=c000003e syscall=59 success=yes exit=0 a0=2349850 a1=234ef30 a2=234f0e0 a3=7fffbc918490 items=0 ppid=4078 pid=4079 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="named" exe="/usr/sbin/named" subj=unconfined_u:system_r:named_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,leaks,named,named_t,rpm_script_tmp_t,file,write
audit2allow suggests:

#============= named_t ==============
allow named_t rpm_script_tmp_t:file write;

Comment 1 Daniel Walsh 2009-11-19 15:20:40 UTC
Were you doing something with webmin when this happened?

I have dontaudited this leak 

Fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:37:18 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:20:15 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:31:50 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.